<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Reset</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="passwordForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input
        [type]="hidePassword ? 'text' : 'password'"
        formControlName="password"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hidePassword = !hidePassword"
      >
        <ion-icon name="eye-outline" *ngIf="hidePassword"></ion-icon>
        <ion-icon name="eye-off-outline" *ngIf="!hidePassword"></ion-icon>
      </div>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="passwordForm.controls.password.dirty && passwordForm.controls.password.touched"
    >
      <span *ngIf="passwordForm.controls.password.hasError('required')"
        >This Password is required</span
      >
      <span *ngIf="passwordForm.controls.password.hasError('pattern')"
        >A lowercase character, 8-20 characters, A number, An uppercase
        character, A special character (!@#$%^&*)</span
      >
    </div>
    <div class="bs-xs-20"></div>
    <ion-item lines="full">
      <ion-label position="floating">Confirm Password</ion-label>
      <ion-input
        [type]="hideConfirmPassword ? 'text' : 'password'"
        formControlName="passwordConfirm"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hideConfirmPassword = !hideConfirmPassword"
      >
        <ion-icon name="eye-outline" *ngIf="hideConfirmPassword"></ion-icon>
        <ion-icon
          name="eye-off-outline"
          *ngIf="!hideConfirmPassword"
        ></ion-icon>
      </div>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="passwordForm.controls.passwordConfirm.dirty && passwordForm.controls.passwordConfirm.touched"
    >
      <span *ngIf="passwordForm.controls.passwordConfirm.hasError('required')"
        >This Password is required</span
      >
      <span *ngIf="passwordForm.controls.passwordConfirm.hasError('matching')"
        >Password not match</span
      >
    </div>
  </form>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!passwordForm.valid"
      (click)="resetPassword()"
      >Reset</ion-button
    >
  </ion-toolbar>
</ion-footer>
